Page MenuHomePhabricator

Move geohack to production
Closed, DeclinedPublic

Description

Geohack is one of the tools that is used by readers (in contrast to mainly by editors), as most coordinate templates link to it.

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added a subscriber: valhallasw.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 18 2015, 2:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Sitic added a subscriber: Sitic.Jun 18 2015, 3:56 PM
scfc added a subscriber: scfc.Jun 18 2015, 4:13 PM

I think it is more useful to replace it with Extension:MapSources (NB: Capital S, Extension:Mapsources is mine and similar, but different). That is already deployed on the WMF cluster for Wikivoyage.

This extension effectively already is Geohack's code wrapped in a MediaWiki extension. It needs some updates and maybe enhancing to support the features that have been added to Geohack since, but IMHO the way to proceed on this matter.

valhallasw edited projects, added Tools; removed Toolforge.Jul 2 2015, 7:31 PM
valhallasw set Security to None.
valhallasw added a subscriber: RyanLane.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 2 2015, 7:31 PM

I'll note that wdq-mm / ORES didn't do too badly during the big bad NFS outage. Those are puppetized, have monitoring, and do not depend on NFS in any form or way. We can do that for geohack too if necessary.

chasemp triaged this task as Low priority.Nov 30 2015, 5:48 PM
chasemp added a subscriber: chasemp.
scfc closed this task as Declined.Feb 19 2017, 4:05 PM

Usages of GeoHack should be replaced by Maps (Kartographer) or, ad interim, MediaWiki-extensions-MapSources. The latter is effectively "GeoHack in production".